﻿#region Copyright Syncfusion Inc. 2001 - 2013
// Copyright Syncfusion Inc. 2001 - 2013. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Syncfusion.Windows.Shared;
using Syncfusion.Windows.Tools.Controls;
using System.Reflection;
using Syncfusion.Windows.Reports.Designer;
using System.IO;

namespace RDLCDesigner
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : RibbonWindow
    {
        private string titlePrefix = "Report Designer";
        FileInfo info = null;

        public MainWindow()
        {
            InitializeComponent();
            this.reportdesigner1.DesignMode = Syncfusion.Windows.Reports.Designer.DesignMode.RDLC;
            this.reportdesigner1.Assemblies = new List<System.Reflection.Assembly>();
            this.reportdesigner1.Assemblies.Add(Assembly.GetExecutingAssembly());
           
            Syncfusion.Windows.Shared.SkinStorage.SetVisualStyle(this, "Metro");
            this.reportdesigner1.NewReportOpened += new ReportChangedEventHandler(reportdesigner1_NewReportOpened);
            this.reportdesigner1.ReportSaved += new ReportChangedEventHandler(reportdesigner1_ReportSaved);
            this.reportdesigner1.ReportOpened += new ReportChangedEventHandler(reportdesigner1_ReportOpened);
            this.Closing += new System.ComponentModel.CancelEventHandler(MainWindow_Closing);
            this.reportdesigner1.EnableMDIDesigner = false;
            string path = @"../../ReportTemplate/Company Sales.rdlc";
            // You can set absoulte path as following 
            // << Sytem directory >> \CS\ReportTemplate\Company Sales.rdlc
            info = new FileInfo(path);
            string  absolutepath = info.Directory + @"\Company Sales.rdlc";

            if (info.Exists)
            {
                this.reportdesigner1.OpenReport(absolutepath);
                MessageBox.Show(" Provided path was valid : " + absolutepath , "File Location ");
            }

            else
            {
                MessageBox.Show("Following Report path was invalid : " + absolutepath + " Please provide propert path ", "File Location ");
            }

        }

        void MainWindow_Closing(object sender, System.ComponentModel.CancelEventArgs e)
        {
            MessageBoxResult msgResult = MessageBox.Show("Do You Save Report?", "Report Designer", MessageBoxButton.YesNo);
            if (msgResult == MessageBoxResult.Yes)
            {
                reportdesigner1.SaveReportDialogue();
            }
        }

        void reportdesigner1_ReportOpened(object sender, ReportChangedEventArgs e)
        {
            this.Title = e.ReportName.Replace("." + reportdesigner1.DesignMode.ToString().ToLower(), "") + " - " + titlePrefix;
        }

        void reportdesigner1_ReportSaved(object sender, ReportChangedEventArgs e)
        {
            this.Title = e.ReportName.Replace("." + reportdesigner1.DesignMode.ToString().ToLower(), "") + " - " + titlePrefix;
        }

        void reportdesigner1_NewReportOpened(object sender, ReportChangedEventArgs e)
        {
            this.Title = e.ReportName.Replace("." + reportdesigner1.DesignMode.ToString().ToLower(), "") + " - " + titlePrefix;
        }
    }
}
