﻿#Region "Copyright Syncfusion Inc. 2001 - 2013"
' Copyright Syncfusion Inc. 2001 - 2013. All rights reserved.
' Use of this code is subject to the terms of our license.
' A copy of the current license can be obtained at any time by e-mailing
' licensing@syncfusion.com. Any infringement will be prosecuted under
' applicable laws. 
#End Region

Imports Microsoft.VisualBasic
Imports System
Imports System.Collections.Generic
Imports System.Linq
Imports System.Text
Imports System.Windows
Imports System.Windows.Controls
Imports System.Windows.Data
Imports System.Windows.Documents
Imports System.Windows.Input
Imports System.Windows.Media
Imports System.Windows.Media.Imaging
Imports System.Windows.Navigation
Imports System.Windows.Shapes
Imports Syncfusion.Windows.Shared
Imports Syncfusion.Windows.Tools.Controls
Imports System.Reflection
Imports Syncfusion.Windows.Reports.Designer

Namespace RDLCDesigner
	''' <summary>
	''' Interaction logic for MainWindow.xaml
	''' </summary>
	Partial Public Class MainWindow
		Inherits RibbonWindow
		Private titlePrefix As String = "Report Designer"

		Public Sub New()
			InitializeComponent()
			Me.reportdesigner1.DesignMode = Syncfusion.Windows.Reports.Designer.DesignMode.RDLC
			Me.reportdesigner1.Assemblies = New List(Of System.Reflection.Assembly)()
			Me.reportdesigner1.Assemblies.Add(System.Reflection.Assembly.GetExecutingAssembly())

			Syncfusion.Windows.Shared.SkinStorage.SetVisualStyle(Me, "Office2007Silver")
			AddHandler reportdesigner1.NewReportOpened, AddressOf reportdesigner1_NewReportOpened
			AddHandler reportdesigner1.ReportSaved, AddressOf reportdesigner1_ReportSaved
			AddHandler reportdesigner1.ReportOpened, AddressOf reportdesigner1_ReportOpened
			AddHandler Closing, AddressOf MainWindow_Closing
			Me.reportdesigner1.EnableMDIDesigner = False
		End Sub

		Private Sub MainWindow_Closing(ByVal sender As Object, ByVal e As System.ComponentModel.CancelEventArgs)
			Dim msgResult As MessageBoxResult = MessageBox.Show("Do You Save Report?", "Report Designer", MessageBoxButton.YesNo)
			If msgResult = MessageBoxResult.Yes Then
				reportdesigner1.SaveReportDialogue()
			End If
		End Sub

		Private Sub reportdesigner1_ReportOpened(ByVal sender As Object, ByVal e As ReportChangedEventArgs)
			Me.Title = e.ReportName.Replace("." & reportdesigner1.DesignMode.ToString().ToLower(), "") & " - " & titlePrefix
		End Sub

		Private Sub reportdesigner1_ReportSaved(ByVal sender As Object, ByVal e As ReportChangedEventArgs)
			Me.Title = e.ReportName.Replace("." & reportdesigner1.DesignMode.ToString().ToLower(), "") & " - " & titlePrefix
		End Sub

		Private Sub reportdesigner1_NewReportOpened(ByVal sender As Object, ByVal e As ReportChangedEventArgs)
			Me.Title = e.ReportName.Replace("." & reportdesigner1.DesignMode.ToString().ToLower(), "") & " - " & titlePrefix
		End Sub
	End Class
End Namespace
